/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: CheckNickNameType
 * @Package cn.freemud.enums
 * @Description:
 * @author: liming.guo
 * @date: 2018/7/12 10:27
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.enums;

public enum CheckNickNameType {

    CHECK(1), NOT_CHECK(0);

    private Integer code;

    CheckNickNameType(Integer code) {
        this.code = code;
    }

    public static CheckNickNameType getByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (CheckNickNameType type : values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
